net.minecraft.network.packet

## Class Packet51MapChunk

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet51MapChunk

-     public class Packet51MapChunk
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `includeInitialize` Whether to initialize the Chunk before applying the effect of the Packet51MapChunk.
    `int` | `xCh` The x-position of the transmitted chunk, in chunk coordinates.
    `int` | `yChMax` The y-position of the highest chunk Section in the transmitted chunk, in chunk coordinates.
    `int` | `yChMin` The y-position of the lowest chunk Section in the transmitted chunk, in chunk coordinates.
    `int` | `zCh` The z-position of the transmitted chunk, in chunk coordinates.

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet51MapChunk()`
    `Packet51MapChunk(Chunk par1Chunk, boolean par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCompressedChunkData()`
    `static Packet51MapChunkData` | `getMapChunkData(Chunk par0Chunk, boolean par1, int par2)`
    `int` | `getPacketSize()` Abstract.
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
    `void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### xCh

          public int xCh

      The x-position of the transmitted chunk, in chunk coordinates.

    - #### zCh

          public int zCh

      The z-position of the transmitted chunk, in chunk coordinates.

    - #### yChMin

          public int yChMin

      The y-position of the lowest chunk Section in the transmitted chunk, in chunk coordinates.

    - #### yChMax

          public int yChMax

      The y-position of the highest chunk Section in the transmitted chunk, in chunk coordinates.

    - #### includeInitialize

          public boolean includeInitialize

      Whether to initialize the Chunk before applying the effect of the Packet51MapChunk.

  - ### Constructor Detail

    - #### Packet51MapChunk

          public Packet51MapChunk()

    - #### Packet51MapChunk

          public Packet51MapChunk(Chunk par1Chunk,
                          boolean par2,
                          int par3)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInputStream par1DataInputStream)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutputStream par1DataOutputStream)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`

    - #### getMapChunkData

          public static Packet51MapChunkData getMapChunkData(Chunk par0Chunk,
                                             boolean par1,
                                             int par2)

    - #### getCompressedChunkData

          public byte[] getCompressedChunkData()